# Ipopt::SearchDirectionCalculator Class Reference

Base class for computing the search direction for the line search. More...

`#include <IpSearchDirCalculator.hpp>`

Inheritance diagram for Ipopt::SearchDirectionCalculator:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| overloaded from AlgorithmStrategyObject
virtual bool | ComputeSearchDirection ()=0
| Pure virtual method for computing the search direction.
Constructors/Destructors
| SearchDirectionCalculator ()
| Constructor.
virtual | ~SearchDirectionCalculator ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| SearchDirectionCalculator (const SearchDirectionCalculator &)
| Default Constructor.
void | operator= (const SearchDirectionCalculator &)
| Overloaded Equals Operator.

## Detailed Description

Base class for computing the search direction for the line search.

Definition at line 20 of file IpSearchDirCalculator.hpp.

## Constructor & Destructor Documentation

Ipopt::SearchDirectionCalculator::SearchDirectionCalculator | ( |  | ) | `[inline]`

Constructor.

Definition at line 26 of file IpSearchDirCalculator.hpp.

virtual Ipopt::SearchDirectionCalculator::~SearchDirectionCalculator | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 30 of file IpSearchDirCalculator.hpp.

Ipopt::SearchDirectionCalculator::SearchDirectionCalculator | ( | const SearchDirectionCalculator & |  | ) | `[private]`

Default Constructor.

Copy Constructor

## Member Function Documentation

virtual bool Ipopt::SearchDirectionCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::InexactSearchDirCalculator, Ipopt::PDSearchDirCalculator, and Ipopt::CGSearchDirCalculator.

virtual bool Ipopt::SearchDirectionCalculator::ComputeSearchDirection | ( |  | ) | `[pure virtual]`

Pure virtual method for computing the search direction.

The computed direction is stored in IpData().delta().

Implemented in Ipopt::InexactSearchDirCalculator, Ipopt::PDSearchDirCalculator, and Ipopt::CGSearchDirCalculator.

void Ipopt::SearchDirectionCalculator::operator= | ( | const SearchDirectionCalculator & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::AlgorithmStrategyObject.

Reimplemented in Ipopt::InexactSearchDirCalculator, Ipopt::PDSearchDirCalculator, and Ipopt::CGSearchDirCalculator.

The documentation for this class was generated from the following file:

- src/Algorithm/IpSearchDirCalculator.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines